org.eclipse.spi.net4j

## Interface InternalAcceptor

- All Superinterfaces:
    Closeable, IAcceptor, IContainer<IConnector>, INegotiatorAware, INotifier, ITransportConfigAware
  All Known Implementing Classes:
    Acceptor

      public interface InternalAcceptor
      extends IAcceptor, ITransportConfigAware, INegotiatorAware

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.acceptor.IAcceptor

      `getAcceptedConnectors`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.ITransportConfigAware

      `getConfig, setConfig`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.INegotiatorAware

      `getNegotiator, setNegotiator`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html